<?php
	//----------------------------------------------------------------
	// lancé par CRONTAB chaque jour
	// 7 0                * * *  /home/scripts_shell/cron_jours.sh
	// http://192.168.1.81/scripts_PHP/scheduled_moyennes.php
	// http://10.92.102.198/scripts_PHP/scheduled_moyennes.php
	// cd /var/www/html/scripts_PHP/ && sudo php scheduled_moyennes.php
	//----------------------------------------------------------------

	include("../M0/dirs_and_files.php") ;
	include("../M0/AQCM_get_parameters.php");
	
	$PATH_AND_FILE_SCHEDULE_2_BASE = $aqcm_SERVER_URL . $AUTHORIZE_DIR . $SCHEDULED_2_BASE_FILE_HASH ;
	
	$MODE_SPL = [ $aqcm_SPL_TRIG_MODE_BIQUO, floatval($aqcm_SPL_TRIG_MOY), floatval($aqcm_SPL_TRIG_MAX) ] ;

	//----------------------------------------------------------------
	$aqcm_UPLOAD_NEW = "OFF";
	
	if ( $aqcm_UPLOAD == "ON" ) {
		
		echo "-------------------------------------------" . "</br>\r\n";
		echo "le téléchargement des mesures est activé..." . "</br>\r\n";
		echo "-------------------------------------------" . "</br>\r\n";

		//--------------------------------------------------------------
		// test de connectivité
		//--------------------------------------------------------------
		echo "&nbsp;&nbsp;" . "test de connectivité..." . "</br>\r\n";
		$url_test_connexion = $aqcm_SERVER_URL . 'test_connexion.php' ;

		echo ( $url_test_connexion . "</br>\r\n" ) ;
		
		//------------------------------------------------------------------------------
		$streamContext = stream_context_create(
			array('http'=>
				array(
					'timeout' => 10,
				)
			)
		);

		$test_connexion = @file_get_contents($url_test_connexion, false, $streamContext);
		echo ( $test_connexion . "</br>\r\n" ) ;

		//------------------------------------------------------------------------------
		if ( $test_connexion == "OK" ) {
			
			echo ("connectivité au serveur AQCM : OK...</br>\r\n");

			//--------------------------------------------------------------
			// test de login
			//--------------------------------------------------------------
			$MAC = exec("ip addr show wlan0 | grep link/ether | awk '{print $2}'"); 
			$MAC = substr($MAC,0,17);
			$MAC = str_replace(":","_",$MAC);

			$cmd_2 = "curl '" . $aqcm_SERVER_URL . $AUTHORIZE_DIR . $AUTHORIZE_SONDE_FILE_HASH . "?" . "SITE_ID=" . $aqcm_SITE_ID . "&MAC=" . $MAC . "&SERVEUR_MDP=" . $aqcm_SERVER_PWD . "'";
			echo($cmd_2 . "</br>");//

			$result_2 = exec($cmd_2, $exec_output_2, $exec_return_2);
			if ($exec_return_2) {
				echo ("envoi de requête au serveur de mesures : échec !</br>\r\n");
			} else {
				echo ("envoi de requête au serveur de mesures : succès...</br>\r\n");
				
				if ($result_2 == "OK") {
					echo ("login : succès...</br>\r\n");
					$query_3 = "UPDATE cfg_UPLOAD SET aqcm_SERVER_RGD='OUI' WHERE (idx=1)";
					$aqcm_UPLOAD_NEW = "ON";
				} else {
					echo ("login : échec !</br>\r\n");
					$query_3 = "UPDATE cfg_UPLOAD SET aqcm_SERVER_RGD='NON' WHERE (idx=1)";
				}

				//echo($aqcm_UPLOAD_NEW . "</br>\r\n");
				
				$link = mysqli_connect($mysql_host,$mysql_user,$mysql_password, $mysql_base);
				if (!$link) {
					echo("&nbsp;mise à jour INSCRIPTION : connexion à la base locale : échec !</br>\r\n");
				} else {
					$result_3 = mysqli_query($link, $query_3);
					if (!$result_3) {
						echo ("&nbsp;mise à jour INSCRIPTION : échec de la requête !</br>\r\n");
					} else {	
						echo ("&nbsp;mise à jour INSCRIPTION : succès (= " . $aqcm_UPLOAD_NEW . ") </br>\r\n");
					}   

					mysqli_close($link);
				}
			}	
		}			
		else {
			
			echo ("connectivité au serveur AQCM05 : échec !!!</br>\r\n");
			
		}
	} 
	else {
		
		echo "le téléchargement des mesures n'est pas activé..." . "</br>";
		
	}

	//-----------------------------------------------------------------------------------------------
	include ("./scheduled_routines.php");
	include ("../M0/logging.php");

	$lien = mysqli_connect($mysql_host,$mysql_user,$mysql_password, $mysql_base);
	
	if (!$lien) {
		
		echo( "Connexion BDD NOK..." . "</br>\r\n" );
		
	} 
	else {
		
		echo( "Connexion BDD OK..." . "</br>\r\n" );
		
		date_default_timezone_set("Europe/Paris");
		$marqueur_temps = time();
		$marqueur_temps = 3600 * intval( $marqueur_temps / 3600 ) ;

		// moyennes par jours
		//if (date("H_i", $marqueur_temps) == "00_00") {
		if ( 1==1 ) {
			
			$start  = mktime( 0, 0, 0, date("m", $marqueur_temps)  , date("d", $marqueur_temps)-1, date("Y", $marqueur_temps));
			$stop   = mktime(12, 0, 0, date("m", $marqueur_temps)  , date("d", $marqueur_temps)-1, date("Y", $marqueur_temps));
			
			$var_01 = date("d/m H:i", $start) ;
			echo($start)  ; echo("</br>\r\n") ;
			echo($var_01) ; echo("</br>\r\n") ;
			
			scheduled_moyennes($aqcm_SCHEDULER, $start, $stop, $lien, $PATH_AND_FILE_SCHEDULE_2_BASE, $aqcm_MAC, $aqcm_UPLOAD_NEW, $aqcm_UPLOAD, $aqcm_SERVER_PWD, $aqcm_SITE_ID, $MODE_SPL);
			
			$start  = mktime(12, 0, 00, date("m", $marqueur_temps)  , date("d", $marqueur_temps)-1, date("Y", $marqueur_temps));
			$stop   = mktime( 0, 0, 00, date("m", $marqueur_temps)  , date("d", $marqueur_temps)-0, date("Y", $marqueur_temps));
			
			$var_01 = date("d/m H:i", $start) ;
			echo($start)  ; echo("</br>\r\n") ;
			echo($var_01) ; echo("</br>\r\n") ;
			
			scheduled_moyennes($aqcm_SCHEDULER, $start, $stop, $lien, $PATH_AND_FILE_SCHEDULE_2_BASE, $aqcm_MAC, $aqcm_UPLOAD_NEW, $aqcm_UPLOAD, $aqcm_SERVER_PWD, $aqcm_SITE_ID, $MODE_SPL);
			
		}
		else {
			
			echo( "l'heure d'exécution du script est incorrecte !!!" . "</br>\r\n" );
			
		}

		mysqli_close($lien);
	}
	
?>


